import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { InvokeEndpointAsyncInputFilterSensitiveLog, } from "../models/models_0";
import { de_InvokeEndpointAsyncCommand, se_InvokeEndpointAsyncCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class InvokeEndpointAsyncCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonSageMakerRuntime", "InvokeEndpointAsync", {})
    .n("SageMakerRuntimeClient", "InvokeEndpointAsyncCommand")
    .f(InvokeEndpointAsyncInputFilterSensitiveLog, void 0)
    .ser(se_InvokeEndpointAsyncCommand)
    .de(de_InvokeEndpointAsyncCommand)
    .build() {
}
