import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { InvokeEndpointInputFilterSensitiveLog, InvokeEndpointOutputFilterSensitiveLog, } from "../models/models_0";
import { de_InvokeEndpointCommand, se_InvokeEndpointCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class InvokeEndpointCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonSageMakerRuntime", "InvokeEndpoint", {})
    .n("SageMakerRuntimeClient", "InvokeEndpointCommand")
    .f(InvokeEndpointInputFilterSensitiveLog, InvokeEndpointOutputFilterSensitiveLog)
    .ser(se_InvokeEndpointCommand)
    .de(de_InvokeEndpointCommand)
    .build() {
}
