import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { InvokeEndpointWithResponseStreamInputFilterSensitiveLog, InvokeEndpointWithResponseStreamOutputFilterSensitiveLog, } from "../models/models_0";
import { de_InvokeEndpointWithResponseStreamCommand, se_InvokeEndpointWithResponseStreamCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class InvokeEndpointWithResponseStreamCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonSageMakerRuntime", "InvokeEndpointWithResponseStream", {
    eventStream: {
        output: true,
    },
})
    .n("SageMakerRuntimeClient", "InvokeEndpointWithResponseStreamCommand")
    .f(InvokeEndpointWithResponseStreamInputFilterSensitiveLog, InvokeEndpointWithResponseStreamOutputFilterSensitiveLog)
    .ser(se_InvokeEndpointWithResponseStreamCommand)
    .de(de_InvokeEndpointWithResponseStreamCommand)
    .build() {
}
