import { HttpHandlerOptions as __HttpHandlerOptions } from "@smithy/types";
import { InvokeEndpointAsyncCommandInput, InvokeEndpointAsyncCommandOutput } from "./commands/InvokeEndpointAsyncCommand";
import { InvokeEndpointCommandInput, InvokeEndpointCommandOutput } from "./commands/InvokeEndpointCommand";
import { InvokeEndpointWithResponseStreamCommandInput, InvokeEndpointWithResponseStreamCommandOutput } from "./commands/InvokeEndpointWithResponseStreamCommand";
import { SageMakerRuntimeClient } from "./SageMakerRuntimeClient";
export interface SageMakerRuntime {
    /**
     * @see {@link InvokeEndpointCommand}
     */
    invokeEndpoint(args: InvokeEndpointCommandInput, options?: __HttpHandlerOptions): Promise<InvokeEndpointCommandOutput>;
    invokeEndpoint(args: InvokeEndpointCommandInput, cb: (err: any, data?: InvokeEndpointCommandOutput) => void): void;
    invokeEndpoint(args: InvokeEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: InvokeEndpointCommandOutput) => void): void;
    /**
     * @see {@link InvokeEndpointAsyncCommand}
     */
    invokeEndpointAsync(args: InvokeEndpointAsyncCommandInput, options?: __HttpHandlerOptions): Promise<InvokeEndpointAsyncCommandOutput>;
    invokeEndpointAsync(args: InvokeEndpointAsyncCommandInput, cb: (err: any, data?: InvokeEndpointAsyncCommandOutput) => void): void;
    invokeEndpointAsync(args: InvokeEndpointAsyncCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: InvokeEndpointAsyncCommandOutput) => void): void;
    /**
     * @see {@link InvokeEndpointWithResponseStreamCommand}
     */
    invokeEndpointWithResponseStream(args: InvokeEndpointWithResponseStreamCommandInput, options?: __HttpHandlerOptions): Promise<InvokeEndpointWithResponseStreamCommandOutput>;
    invokeEndpointWithResponseStream(args: InvokeEndpointWithResponseStreamCommandInput, cb: (err: any, data?: InvokeEndpointWithResponseStreamCommandOutput) => void): void;
    invokeEndpointWithResponseStream(args: InvokeEndpointWithResponseStreamCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: InvokeEndpointWithResponseStreamCommandOutput) => void): void;
}
/**
 * <p> The Amazon SageMaker runtime API. </p>
 * @public
 */
export declare class SageMakerRuntime extends SageMakerRuntimeClient implements SageMakerRuntime {
}
