import { HttpHandlerOptions as __HttpHandlerOptions } from "@smithy/types";
import {
  InvokeEndpointAsyncCommandInput,
  InvokeEndpointAsyncCommandOutput,
} from "./commands/InvokeEndpointAsyncCommand";
import {
  InvokeEndpointCommandInput,
  InvokeEndpointCommandOutput,
} from "./commands/InvokeEndpointCommand";
import {
  InvokeEndpointWithResponseStreamCommandInput,
  InvokeEndpointWithResponseStreamCommandOutput,
} from "./commands/InvokeEndpointWithResponseStreamCommand";
import { SageMakerRuntimeClient } from "./SageMakerRuntimeClient";
export interface SageMakerRuntime {
  invokeEndpoint(
    args: InvokeEndpointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<InvokeEndpointCommandOutput>;
  invokeEndpoint(
    args: InvokeEndpointCommandInput,
    cb: (err: any, data?: InvokeEndpointCommandOutput) => void
  ): void;
  invokeEndpoint(
    args: InvokeEndpointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: InvokeEndpointCommandOutput) => void
  ): void;
  invokeEndpointAsync(
    args: InvokeEndpointAsyncCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<InvokeEndpointAsyncCommandOutput>;
  invokeEndpointAsync(
    args: InvokeEndpointAsyncCommandInput,
    cb: (err: any, data?: InvokeEndpointAsyncCommandOutput) => void
  ): void;
  invokeEndpointAsync(
    args: InvokeEndpointAsyncCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: InvokeEndpointAsyncCommandOutput) => void
  ): void;
  invokeEndpointWithResponseStream(
    args: InvokeEndpointWithResponseStreamCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<InvokeEndpointWithResponseStreamCommandOutput>;
  invokeEndpointWithResponseStream(
    args: InvokeEndpointWithResponseStreamCommandInput,
    cb: (err: any, data?: InvokeEndpointWithResponseStreamCommandOutput) => void
  ): void;
  invokeEndpointWithResponseStream(
    args: InvokeEndpointWithResponseStreamCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: InvokeEndpointWithResponseStreamCommandOutput) => void
  ): void;
}
export declare class SageMakerRuntime
  extends SageMakerRuntimeClient
  implements SageMakerRuntime {}
