import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
  Provider,
} from "@smithy/types";
import { SageMakerRuntimeClientResolvedConfig } from "../SageMakerRuntimeClient";
export interface SageMakerRuntimeHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface SageMakerRuntimeHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    SageMakerRuntimeClientResolvedConfig,
    HandlerExecutionContext,
    SageMakerRuntimeHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultSageMakerRuntimeHttpAuthSchemeParametersProvider: (
  config: SageMakerRuntimeClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<SageMakerRuntimeHttpAuthSchemeParameters>;
export interface SageMakerRuntimeHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<SageMakerRuntimeHttpAuthSchemeParameters> {}
export declare const defaultSageMakerRuntimeHttpAuthSchemeProvider: SageMakerRuntimeHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  authSchemePreference?: string[] | Provider<string[]>;
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: SageMakerRuntimeHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly authSchemePreference: Provider<string[]>;
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: SageMakerRuntimeHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
