import { Command as $Command } from "@smithy/smithy-client";
import {
  BlobPayloadInputTypes,
  MetadataBearer as __MetadataBearer,
} from "@smithy/types";
import { Uint8ArrayBlobAdapter } from "@smithy/util-stream";
import { InvokeEndpointInput, InvokeEndpointOutput } from "../models/models_0";
import {
  SageMakerRuntimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerRuntimeClient";
export { __MetadataBearer };
export { $Command };
export type InvokeEndpointCommandInputType = Pick<
  InvokeEndpointInput,
  Exclude<keyof InvokeEndpointInput, "Body">
> & {
  Body: BlobPayloadInputTypes;
};
export interface InvokeEndpointCommandInput
  extends InvokeEndpointCommandInputType {}
export type InvokeEndpointCommandOutputType = Pick<
  InvokeEndpointOutput,
  Exclude<keyof InvokeEndpointOutput, "Body">
> & {
  Body: Uint8ArrayBlobAdapter;
};
export interface InvokeEndpointCommandOutput
  extends InvokeEndpointCommandOutputType,
    __MetadataBearer {}
declare const InvokeEndpointCommand_base: {
  new (
    input: InvokeEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    InvokeEndpointCommandInput,
    InvokeEndpointCommandOutput,
    SageMakerRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: InvokeEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    InvokeEndpointCommandInput,
    InvokeEndpointCommandOutput,
    SageMakerRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class InvokeEndpointCommand extends InvokeEndpointCommand_base {
  protected static __types: {
    api: {
      input: InvokeEndpointInput;
      output: InvokeEndpointOutput;
    };
    sdk: {
      input: InvokeEndpointCommandInput;
      output: InvokeEndpointCommandOutput;
    };
  };
}
